#!/bin/sh

v_respond=$(pidof respondd)

###########################################
echo "-> passe ntp Einstellungen an..."
###########################################
echo -n "."; uci del system.ntp.server

#echo -n "."; uci add_list system.ntp.server='time1.service.ffhal'
#echo -n "."; uci add_list system.ntp.server='time2.service.ffhal'
echo -n "."; uci add_list system.ntp.server='fd0f:8db3:d50a:0:208:a1ff:fe25:cf0a'
echo -n "."; uci add_list system.ntp.server='131.188.3.220'
echo -n "."; uci add_list system.ntp.server='131.188.3.221'
echo -n "."; uci add_list system.ntp.server='131.188.3.222'
echo -n "."; uci add_list system.ntp.server='192.53.103.108'
echo "ok";

uci commit
echo

###########################################
echo "-> passe LED-Steuerung an..."
###########################################
echo -n "."; uci set system.led_dsl.sysfs='green:power'
echo -n "."; uci set system.led_dsl.mode='link'

##echo "netdev" >/sys/devices/platform/leds/leds/green\:dect/trigger

echo "ok"

uci commit
echo

cp -f /tmp/store/led-changer.sh  /usr/libexec
chmod 755 /usr/libexec/led-changer.sh
cp -f /tmp/store/led-changer     /usr/lib/micron.d
chmod 644 /usr/lib/micron.d/led-changer

if [ $v_respond ]
then
 /etc/init.d/micrond restart   # doesn't run in config mode
fi

echo -n "LED  : "; /etc/init.d/led reload
echo

/usr/libexec/led-changer.sh
###########################################
echo "...erledigt!"
###########################################
